> ## Documentation Index
> Fetch the complete documentation index at: https://developers.kit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check your credentials

> [!WARNING]
>
> V5 is unstable: this endpoint can change in breaking ways or be removed. Use [V4](https://developers.kit.com/api-reference/overview.md) for integrations that need a stable contract.


## OpenAPI

````yaml /api-reference/v5.json get /v5/ping
openapi: 3.0.3
info:
  title: Kit API
  version: 5.0-unstable
  description: >-
    V5 is an unstable version of the Kit API: its endpoints can change in
    breaking ways or be removed. V4 is the stable version.
servers:
  - url: https://api.kit.com
security: []
paths:
  /v5/ping:
    get:
      tags:
        - Ping
      summary: Check your credentials
      parameters: []
      responses:
        '204':
          description: Returns a 204 when the credentials are valid
        '401':
          description: Returns a 401 if the token and/or account cannot be authenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: string
                required:
                  - errors
              example:
                errors:
                  - The access token is invalid
      security:
        - API Key: []
        - OAuth2: []
components:
  securitySchemes:
    API Key:
      description: Authenticate API requests via an API Key
      type: apiKey
      in: header
      name: X-Kit-Api-Key
    OAuth2:
      description: Authenticate API requests via an OAuth token
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://api.kit.com/v4/oauth/authorize
          tokenUrl: https://api.kit.com/v4/oauth/token
          refreshUrl: https://api.kit.com/v4/oauth/token
          scopes:
            read: Read access to Kit API v4
            write: Write access to Kit API v4

````

## Related topics

- [Quick start guide](https://developers.kit.com/kit-app-store/quick-start-guide.md)
- [OAuth authorization](https://developers.kit.com/plugins/oauth-authorization.md)
- [Managing plugins](https://developers.kit.com/plugins/managing-plugins.md)
- [Changelog](https://developers.kit.com/changelog.md)
- [Plugin overview](https://developers.kit.com/plugins/overview.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.